org.apache.xerces.impl.xs

## Class XMLSchemaValidator.LocalIDKey

- java.lang.Object
- - org.apache.xerces.impl.xs.XMLSchemaValidator.LocalIDKey

- Enclosing class:
    XMLSchemaValidator

      protected static final class XMLSchemaValidator.LocalIDKey
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `fDepth`
    `IdentityConstraint` | `fId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalIDKey()`
    `LocalIDKey(IdentityConstraint id, int depth)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object localIDKey)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fId

          public IdentityConstraint fId

    - #### fDepth

          public int fDepth

  - ### Constructor Detail

    - #### LocalIDKey

          public LocalIDKey()

    - #### LocalIDKey

          public LocalIDKey(IdentityConstraint id,
                            int depth)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object localIDKey)

      Overrides:
        `equals` in class `java.lang.Object`

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.